Bug 1271612 - [abrt] webkitgtk4: _g_log_abort(): WebKitWebProcess killed by SIGTRAP
[abrt] webkitgtk4: _g_log_abort(): WebKitWebProcess killed by SIGTRAP
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: webkitgtk4 (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Popela
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a20f855fd5e3feb69df66963ebe...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-14 07:31 EDT by Diogo Campos
Modified: 2016-03-01 19:31 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-01 19:31:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (80.82 KB, text/plain)
2015-10-14 07:31 EDT, Diogo Campos
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-14 07:31 EDT, Diogo Campos
no flags Details
File: core_backtrace (6.15 KB, text/plain)
2015-10-14 07:31 EDT, Diogo Campos
no flags Details
File: dso_list (19.31 KB, text/plain)
2015-10-14 07:31 EDT, Diogo Campos
no flags Details
File: environ (1.71 KB, text/plain)
2015-10-14 07:31 EDT, Diogo Campos
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-14 07:31 EDT, Diogo Campos
no flags Details
File: maps (99.12 KB, text/plain)
2015-10-14 07:31 EDT, Diogo Campos
no flags Details
File: mountinfo (3.32 KB, text/plain)
2015-10-14 07:31 EDT, Diogo Campos
no flags Details
File: open_fds (5.56 KB, text/plain)
2015-10-14 07:31 EDT, Diogo Campos
no flags Details
File: proc_pid_status (1019 bytes, text/plain)
2015-10-14 07:31 EDT, Diogo Campos
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
WebKit Project 154892 None None None 2016-03-01 19:31 EST

  None (edit)
Description Diogo Campos 2015-10-14 07:31:10 EDT
Version-Release number of selected component:
webkitgtk4-2.10.0-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitWebProcess 28
crash_function: _g_log_abort
executable:     /usr/libexec/webkit2gtk-4.0/WebKitWebProcess
global_pid:     14038
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _g_log_abort at gmessages.c:324
 #10 dri2XcbSwapBuffers at dri2_glx.c:815
 #11 dri2SwapBuffers at dri2_glx.c:853
 #12 WebKit::LayerTreeHostGtk::flushAndRenderLayers at /usr/src/debug/webkitgtk-2.10.0/Source/WebKit2/WebProcess/WebPage/gtk/LayerTreeHostGtk.cpp:318
 #13 WebKit::LayerTreeHostGtk::layerFlushTimerFired at /usr/src/debug/webkitgtk-2.10.0/Source/WebKit2/WebProcess/WebPage/gtk/LayerTreeHostGtk.cpp:237
 #14 std::function<void ()>::operator()() const at /usr/include/c++/5.1.1/functional:2271
 #15 WTF::GMainLoopSource::voidCallback at /usr/src/debug/webkitgtk-2.10.0/Source/WTF/wtf/glib/GMainLoopSource.cpp:365
 #16 WTF::GMainLoopSource::voidSourceCallback at /usr/src/debug/webkitgtk-2.10.0/Source/WTF/wtf/glib/GMainLoopSource.cpp:456
 #21 WTF::RunLoop::run at /usr/src/debug/webkitgtk-2.10.0/Source/WTF/wtf/glib/RunLoopGLib.cpp:67
 #22 WebKit::ChildProcessMain<WebKit::WebProcess, WebKit::WebProcessMain> at /usr/src/debug/webkitgtk-2.10.0/Source/WebKit2/Shared/unix/ChildProcessMain.h:61
Comment 1 Diogo Campos 2015-10-14 07:31:17 EDT
Created attachment 1082785 [details]
File: backtrace
Comment 2 Diogo Campos 2015-10-14 07:31:19 EDT
Created attachment 1082786 [details]
File: cgroup
Comment 3 Diogo Campos 2015-10-14 07:31:21 EDT
Created attachment 1082787 [details]
File: core_backtrace
Comment 4 Diogo Campos 2015-10-14 07:31:23 EDT
Created attachment 1082788 [details]
File: dso_list
Comment 5 Diogo Campos 2015-10-14 07:31:25 EDT
Created attachment 1082789 [details]
File: environ
Comment 6 Diogo Campos 2015-10-14 07:31:27 EDT
Created attachment 1082790 [details]
File: limits
Comment 7 Diogo Campos 2015-10-14 07:31:31 EDT
Created attachment 1082791 [details]
File: maps
Comment 8 Diogo Campos 2015-10-14 07:31:33 EDT
Created attachment 1082792 [details]
File: mountinfo
Comment 9 Diogo Campos 2015-10-14 07:31:35 EDT
Created attachment 1082793 [details]
File: open_fds
Comment 10 Diogo Campos 2015-10-14 07:31:40 EDT
Created attachment 1082794 [details]
File: proc_pid_status
Comment 11 Eduardo Silva 2015-11-10 19:09:22 EST
I was refered to this bug by abrt. 

I had a youtube video playing and I detached its tab to make a new browser window, and when it started reloading the webpage the web view crashed.

Note You need to log in before you can comment on or make changes to this bug.